#include <bits/stdc++.h>
using namespace std;

#define ios ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define ll long long
#define inf INT_MAX
#define llinf LLONG_MAX
#define mt make_tuple
#define parll pair<ll,ll>
#define parii pair<int,int>
#define mp make_pair

int main()
{
    ios;

    ll n; double suma=0;

    cin >> n;
    vector <pair<double,ll> > A(n);
    for ( int i = 0; i < n; i++ )
    {
        cin >> A[i].second >> A[i].first;
        suma += A[i].second;
    }
    sort( A.begin(), A.end() );

    double maks=0.0,r;
    for ( int i = 0; i < n; i++ )
    {
        r = suma*A[i].first/100.0;
        maks = max( maks, r );
        suma -= A[i].second;
    }

    cout << fixed;
    cout << setprecision(6);
    cout << maks;

    return 0;
}